From 940438b2e96d7a8acef3acbf85b170aadc36040f Mon Sep 17 00:00:00 2001
From: Peter Cai <peter.cai@uwaterloo.ca>
Date: Thu, 16 Feb 2023 15:54:36 -0500
Subject: [PATCH] Restore RX ring size to default

we will do any tuning in specific configurations
---
 tunings/base.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tunings/base.sh b/tunings/base.sh
index 0275f50..0224423 100644
--- a/tunings/base.sh
+++ b/tunings/base.sh
@@ -17,7 +17,7 @@ $CPUPOWER frequency-set -f 2.7GHz || true # This can throw out errors but it's g
 
 # Default non-polling NIC settings
 # ethtool may fail without fatal errors (e.g. when it made no changes)
-ethtool -G $NET_IF rx 8192 || true # Default to a large RX ring size to avoid drops at high rates
+ethtool -G $NET_IF rx 1024 || true
 ethtool -C $NET_IF rx-usecs  16 rx-frames   44 adaptive-rx on || true
 ethtool -C $NET_IF tx-usecs  16 tx-frames   16 adaptive-tx off || true
 sysctl net.core.busy_poll=0
-- 
GitLab